Page MenuHomePhabricator

[Bug] enwiki LAPD article has truncated tables
Closed, ResolvedPublic

Description

Steps to Reproduce

  1. https://en.wikipedia.org/api/rest_v1/page/mobile-html/Los_Angeles_Police_Department
  2. Scroll to "Rank structure and insignia" section
  3. Observe tables in that section

Expected Results

Tables are complete, similar to https://en.wikipedia.org/wiki/Los_Angeles_Police_Department

Actual Results

Tables are truncated - only the first few rows show

Notes

Occurs within the apps and on mobile web as well - might be further up the chain than page library but seems like the investigation can start here

Event Timeline

JoeWalsh created this task.May 16 2019, 6:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2019, 6:50 PM
JoeWalsh updated the task description. (Show Details)May 16 2019, 6:59 PM
LGoto triaged this task as Normal priority.May 22 2019, 3:38 PM
LGoto added a parent task: T220044: PCS CSS improvements.
Tgr added a subscriber: Tgr.May 22 2019, 4:03 PM

The table wikitext has height:200px, which is ineffective on a table, but then the mobile skin changes tables to display:block and that makes the height limit take effect. So probably a user error (can't imagine what they wanted with that height property), not sure why we are changing tables to display as blocks, though (something to do with collapsing?)

I think display:block has to do with collapsing and ensuring the table clears other content. @bearND or @Mhurd might have a better idea.

I added a PR to the page library that unsets the height where it's setting display:block. Seems like a similar fix could be made in the mobile skin.
https://github.com/wikimedia/wikimedia-page-library/pull/192

Mhurd added a comment.May 22 2019, 9:14 PM

Hehe ya generally I don't understand why hardcoding table heights would ever be a good idea...

FWIW, display: block is used in several places of the CSS inheritance tree in this case, even in the inline style. The other places are mostly originating from MinervaNeue.

MSantos claimed this task.Jun 17 2019, 3:07 PM
MSantos moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.

@MSantos this should be fixed by https://github.com/wikimedia/wikimedia-page-library/pull/192 - I should have marked this as resolved. Feel free to confirm that patch fixes the issue though.

@JoeWalsh maybe is not deployed yet, I'll confirm and sign off if everything is fine.

bearND added a comment.EditedJun 17 2019, 5:01 PM

It hasn't been deployed yet. Should be today, though.

MSantos removed MSantos as the assignee of this task.Jun 17 2019, 5:26 PM
MSantos added a subscriber: MSantos.
bearND closed this task as Resolved.Jul 30 2019, 6:39 PM
bearND claimed this task.